const div = d3.select('div');
console.log(div.nodes());

const link = d3.select('a');
console.log(link.nodes()); // The first, in div.title

const links = d3.selectAll('a');
console.log(links.nodes()); // All 4

let divLinks = div.selectAll('a');
console.log(divLinks.nodes()); // The three links in div.title

divLinks = d3.selectAll('div a');
console.log(divLinks.nodes()); // The three links in div.title

const actionLink = d3.select('.action');
console.log(actionLink.nodes()); // The last link.

const secondLink = d3.selectAll('a:nth-child(2)');
console.log(secondLink.nodes()); // The 2nd link in div.title: "products"

// Can use an object instead of a CSS selector.
var allLinks = d3.selectAll(document.links);
console.log(allLinks.size(), allLinks.nodes());
